				---- End of Section ----
				Local_Head = {
					type = "header",
					name = "Local Message Settings",
					order = 50,
				},
				Local_Desc = {
					type = "description",
					name = L.Local_Desc,
					order = 51,
				},
				Local_Chat = {
					type = "toggle",
					name = "Chat Window",
					desc = "Sends spell messages set to local to your default Chat Window.",
					order = 52,
					get = function(info)
							return RSA.db.profile.General.Local.Chat
						end,
					set = function(info, value)
							RSA.db.profile.General.Local.Chat =  value
						end,
				},
				Local_RaidWarn = {
					type = "toggle",
					name = L["Raid Warning Frame"],
					desc = "Sends spell messages set to local to the Raid Warning Frame in the center of your screen.",
					order = 53,
					get = function(info)
							return RSA.db.profile.General.Local.RaidWarn
						end,
					set = function(info, value)
							RSA.db.profile.General.Local.RaidWarn =  value
						end,
				},
				Custom_Channel_Head = {
					type = "header",
					name = "Custom Channel Settings",
					order = 20,
				},
				Custom_Channel_Desc = {
					type = "description",
					name = "You can choose to set channels for individual spells in their own options, though for convenience, you can set the custom channel for all spells here, by clicking on the \"Set to All Spells\" Button.",
					order = 21,
				},
				Custom_Channel_Text = {
					type = "input",
					name = "Name:",
					desc = "Enter the name of the Custom Channel you wish to use.",
					order = 22,
					get = function(info)
							return RSA.db.profile.General.GlobalCustomChannel
						end,
					set = function(info, value)
							RSA.db.profile.General.GlobalCustomChannel = value
						end,
				},
				Custom_Channel_Set_Global = {
					type = "execute",
					name = "Set to all spells",
					desc = "|cffFF0000WARNING:|r Doing this will override any custom channels you have set on spells!",
					confirm = true,
					func = function()
								-- DEATH KNIGHT
								if RSA.db.profile.General.Class == "DEATHKNIGHT" then
									RSA.db.profile.DeathKnight.Spells.Army.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.DeathKnight.Spells.AMS.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.DeathKnight.Spells.DarkCommand.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.DeathKnight.Spells.IceboundFortitude.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.DeathKnight.Spells.Strangulate.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.DeathKnight.Spells.MindFreeze.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.DeathKnight.Spells.DeathGrip.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.DeathKnight.Spells.VampiricBlood.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.DeathKnight.Spells.BoneShield.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.DeathKnight.Spells.UnholyFrenzy.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel							
									RSA.db.profile.DeathKnight.Spells.RuneTap.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.DeathKnight.Spells.DancingRuneWeapon.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel							
								
								-- DRUID
								elseif RSA.db.profile.General.Class == "DRUID" then
									RSA.db.profile.Druid.Spells.SurvivalInstincts.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Druid.Spells.Cyclone.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Druid.Spells.FrenziedRegneration.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Druid.Spells.Hibernate.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Druid.Spells.Innervate.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Druid.Spells.SkullBash.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Druid.Spells.Growl.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Druid.Spells.Revive.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Druid.Spells.Rebirth.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Druid.Spells.TreeOfLife.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Druid.Spells.Barkskin.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Druid.Spells.Thorns.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Druid.Spells.Tranquility.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
								
								-- MAGE
								elseif RSA.db.profile.General.Class == "MAGE" then
									RSA.db.profile.Mage.Spells.TimeWarp.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Mage.Spells.Spellsteal.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Mage.Spells.Polymorph.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Mage.Spells.Counterspell.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Mage.Spells.Portals.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Mage.Spells.Teleport.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Mage.Spells.RefreshmentTable.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
								
								-- PALADIN
								elseif RSA.db.profile.General.Class == "PALADIN" then
									RSA.db.profile.Paladin.Spells.ArdentDefender.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Paladin.Spells.AuraMastery.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Paladin.Spells.DivineProtection.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Paladin.Spells.DivineGuardian.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Paladin.Spells.HandOfFreedom.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Paladin.Spells.HandOfProtection.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Paladin.Spells.HandOfSacrifice.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Paladin.Spells.HandOfSalvation.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Paladin.Spells.LayOnHands.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Paladin.Spells.GoAK.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Paladin.Spells.Repentance.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Paladin.Spells.Rebuke.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Paladin.Spells.HandOfReckoning.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Paladin.Spells.RighteousDefense.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Paladin.Spells.Beacon.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Paladin.Spells.HammerOfJustice.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Paladin.Spells.Redemption.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Paladin.Spells.AvengersShield.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Paladin.Spells.TurnEvil.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
								
								-- PRIEST
								elseif RSA.db.profile.General.Class == "PRIEST" then
									RSA.db.profile.Priest.Spells.LeapOfFaith.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Priest.Spells.DivineHymn.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Priest.Spells.HymnOfHope.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Priest.Spells.FearWard.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Priest.Spells.Levitate.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Priest.Spells.ShackleUndead.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Priest.Spells.DispelMagic.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Priest.Spells.GuardianSpirit.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Priest.Spells.PainSuppression.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Priest.Spells.Lightwell.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Priest.Spells.PowerInfusion.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Priest.Spells.LightwellRenew.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Priest.Spells.PowerWordBarrier.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Priest.Spells.CureDisease.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Priest.Spells.Resurrection.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									
								-- ROGUE
								elseif RSA.db.profile.General.Class == "ROGUE" then
									RSA.db.profile.Rogue.Spells.Sap.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Rogue.Spells.Blind.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Rogue.Spells.Kick.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Rogue.Spells.Dismantle.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
								
								-- SHAMAN
								elseif RSA.db.profile.General.Class == "SHAMAN" then
									RSA.db.profile.Shaman.Spells.Hex.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Shaman.Spells.Heroism.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Shaman.Spells.BindElemental.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Shaman.Spells.WindShear.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Shaman.Spells.Purge.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Shaman.Spells.CleanseSpirit.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Shaman.Spells.ManaTide.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Shaman.Spells.AncestralSpirit.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
								
								-- WARLOCK
								elseif RSA.db.profile.General.Class == "WARLOCK" then
									RSA.db.profile.Warlock.Spells.Soulwell.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Warlock.Spells.SummonStone.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Warlock.Spells.Suffering.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Warlock.Spells.SingeMagic.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Warlock.Spells.Banish.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Warlock.Spells.Fear.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Warlock.Spells.Seduce.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Warlock.Spells.SpellLock.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Warlock.Spells.Devour.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
								
								-- WARRIOR
								elseif RSA.db.profile.General.Class == "WARRIOR" then
									RSA.db.profile.Warrior.Spells.ShatteringThrow.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Warrior.Spells.ShieldWall.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Warrior.Spells.ChallengingShout.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Warrior.Spells.Pummel.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Warrior.Spells.Disarm.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Warrior.Spells.ShieldBash.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Warrior.Spells.Taunt.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Warrior.Spells.Vigilance.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Warrior.Spells.LastStand.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
									RSA.db.profile.Warrior.Spells.EnragedRegeneration.CustomChannel.Channel = RSA.db.profile.General.GlobalCustomChannel
								
								end
							end,
					order = 23,
				},